
--[[
┌───────────────────────────────────────────────────────────────────────────────────────────┐
│ Mod Name: Pause Vision                                                                    │
│ Mod Description: Makes the pause & options menu more transparent.                         │
│ Mod Author: Seph (Steam: Concoction of Constitution)                                      │
└───────────────────────────────────────────────────────────────────────────────────────────┘
--]]
local mod = get_mod("PauseVision")

mod:hook_require("scripts/ui/views/views", function(data)
    data.options_view.game_world_blur = 0
    data.system_view.game_world_blur = 0
end)


mod:hook_require("scripts/ui/views/options_view/options_view_definitions", function(data)
    data.widget_definitions.background_icon.style.style_id_1.color[1] = 0
    data.widget_definitions.background.style.style_id_1.color[1] = 0
    data.widget_definitions.background.style.style_id_2.color[1] = 255
    data.widget_definitions.background.style.style_id_2.color[2] = 0
    data.widget_definitions.background.style.style_id_2.color[3] = 0
    data.widget_definitions.background.style.style_id_2.color[4] = 0
    -- data.scenegraph_definition.background.size[1] = 0
end)


mod:hook_require("scripts/ui/views/system_view/system_view_definitions", function(data)
    -- mod:echo("SETTING")
    data.widget_definitions.background_icon.style.style_id_1.color[1] = 0
    data.widget_definitions.background.style.style_id_1.color[1] = 0
    -- data.scenegraph_definition.background.size[1] = 0
    -- mod:echo(data.scenegraph_definition.background.size)
end)

-- mod:hook("OptionsView", "init", function(f, s, ...)
--     mod:dtf(s, "options", 6)
--     mod:echo(s._definitions)
--     if s._definitions then
--         s._definitions.scenegraph_definition.background_icon.size[1] = 0
--         s._definitions.scenegraph_definition.background_icon.size[2] = 0
--         s._definitions.widget_definitions.background.style.style_id_1.color[1] = 0
--         s._settings.game_world_blur = 0
--     end
--     return f(s,...)
-- end)


-- mod:hook("SystemView", "init", function(f, s, ...)
--     if s._definitions then
--         s._definitions.scenegraph_definition.background_icon.size[1] = 0
--         s._definitions.scenegraph_definition.background_icon.size[2] = 0
--         s._definitions.widget_definitions.background.style.style_id_1.color[1] = 0
--         s._settings.game_world_blur = 0
--     end
--     return f(s,...)
-- end)
